Subject: bug#74792: 29.2.50; goto-address-mode should support RET in special-mode buffers

From: Spencer Baugh <[email-masked]>
Date: Wed, 11 Dec 2024 11:10:53 -0500

goto-address-mode binds C-c RET to goto-address-at-point when point is
on a URL or email address.  In special-mode buffers (or maybe any
read-only buffer?) it should also bind RET while point is on the URL or
email address.

This would improve functionality for packages which create special-mode
buffers showing arbitrary text that may contain URLs.

For example, commit messages may contain URLs, and enabling
goto-message-mode in vc-log buffers highlights those URLs, but RET
doesn't work to follow them.  Similarly, magit enables goto-address-mode
in buffers showing a commit message, but it implements separate handling
for RET on URLs since goto-address-mode doesn't provide that as a
binding.

This could be done with an extended-menu-item binding with a filter
which checks (derived-mode-p 'special-mode), but maybe there's a better
way?